#ifndef FILESYSTEMUTILS_V1_04_01_H_
#define FILESYSTEMUTILS_V1_04_01_H_

#include <iostream>
#include <vector>
#include <stdexcept>

namespace tecgraf
{
    namespace ftc
    {
        namespace v1_04_00
        {
            class InvalidPath : public std::invalid_argument
            {
                public:
                    InvalidPath(const std::string & msg = ""): invalid_argument(msg) {}
            };

            int getDirList (std::string & dir, std::vector<std::string> &files) throw (InvalidPath);
            bool isDir( std::string & path ) throw (InvalidPath);
            bool deleteDir(std::string & path ) throw (InvalidPath); 
        }
    }
}

#endif //FILESYSTEMUTILS_V1_01_H_
