
module("ftcbench.parameters")

--JAVA_HOME    = '/usr/lib/jvm/java-6-sun'
JAVA_HOME    = '/opt/jdk1.6.0-i586'
JAVA_BIN     = JAVA_HOME .. '/bin/java' 
LUA_BIN      = '$OPENBUS_HOME/../lib/lua5.1/bin/Linux26g4_64/lua5.1'
MEM2MEM_FILE = '/dev/zero'

-- A porta TCP do servidor de FTP 
FTP_SERVER_PORT = 2121

-- Define se o servidor deve tentar aceitar o numero maximo de clientes.
SERVER_AGRESSIVE_ACCEPT = true

-- Pasta com os arquivos a serem tranferidos.
--FILES_DIR    = '/local/vfusco/files/'
LOCAL_FILES_DIR  = '/tmp/files/'
SERVER_FILES_DIR = '/tmp/files/'

-- Nome/IP do servidor FTC.
--SERVER_ADDRESS = '0.0.0.0'
SERVER_ADDRESS = '0.0.0.0'

-- Numero maximo de clientes.
--SERVER_MAX_CLIENTS = 150
SERVER_MAX_CLIENTS = 150

-- Porta TCP do servidor FTC.
SERVER_PORT = 25555     

-- Tempo em milisegundos de espera por conexao inativa
--SERVER_CONNECTION_TIMEOUT = 40000 

-- Timeout do metodo 'select'.
--SERVER_SELECT_TIMEOUT = 5000

-- Tamanhos dos buffers que serao utilizados nos testes
BUFFER_TEST_SIZES={1048576,5242880,10485760,15728640,20971520,26214400,31457280,36700160,41943040,47185920,52428800}

-- Quantidade de bytes transferidos no teste de tamanho de buffer
BUFFER_TEST_DATA_SIZE=  2097152000 

-- Arquivos utilizados nos testes de transferencia de arquivos
FILES = {
--[["file_001MB.dat", 
"file_002MB.dat",
"file_003MB.dat",
"file_004MB.dat",
"file_005MB.dat",
"file_006MB.dat",
"file_007MB.dat",
"file_008MB.dat",
"file_009MB.dat",
"file_010MB.dat",
"file_020MB.dat",
"file_030MB.dat",
"file_040MB.dat",
"file_050MB.dat",
"file_060MB.dat",
"file_070MB.dat",
"file_080MB.dat",
"file_090MB.dat",
"file_100MB.dat",
"file_200MB.dat",]]
"file_300MB.dat",
--[["file_400MB.dat",
"file_500MB.dat",
"file_600MB.dat",
"file_700MB.dat",
"file_800MB.dat",
"file_900MB.dat",
"file_1GB.dat",
"file_2GB.dat",]]
--"file_3GB.dat",
--"file_4GB.dat",
--"file_5GB.dat"
--"file_6GB.dat"
}

M2M_SIZES ={
--[[    1048576    ,
    2097152    ,
    3145728    ,
    4194304    ,
    5242880    ,
    6291456    ,
    7340032    ,
    8388608    ,
    9437184    ,
    10485760   ,
    20971520   ,
    31457280   ,
    41943040   ,
    52428800   ,
    62914560   ,
    73400320   ,
    83886080   ,
    94371840   ,
    104857600  ,
    209715200  ,
    314572800  ,
    419430400  ,
    524288000  ,
    629145600  ,
    734003200  ,
    838860800  ,
    943718400  ,]]
    1048576000 ,
--[[    2097152000 ,
    3145728000 ,
    4194304000 ,
    5242880000 ,]]
}


-- Arquivos utilizados nos testes com multiplos clientes 
MULTI_CLIENT_FILES = {
"file_1GB.dat",
--"/dev/zero",
--"file_3GB.dat",
}
