
local in_filename = "../output/FTP-wget.txt"
local out_filename = "../output/FTP.txt"

local input_file  = io.open(in_filename,"r")
local output_file = io.open(out_filename,"w+")
--local output_file = io.output()

if not input_file then
    print("Erro ao abrir o arquivo: ".. in_filename)
    os.exit(1)
end

if not output_file then
    print("Erro ao abrir o arquivo: ".. out_filename)
    os.exit(1)
end

local result = {}
for line in input_file:lines() do

    local speed = line:match( "%((.+)%)")
    local size = line:match("%[(%w+)%]")
    local speed_value = speed:match("[%w.]+")
    if speed:match("MB") then
        speed_value = speed_value * 1000
    end
--    print(size .. "," .. 0.0 .."," .. speed_value)
    output_file:write(size .. "," .. 0.0 .."," .. speed_value .. "\n")
end

input_file:close()
output_file:close()
