package ftc.server.v1_1;

import java.io.IOException;

import tecgraf.ftc.server.FileServer;
import ftc.FTCServerVersionAdapter;
import ftc.ServerConfig;

public class FTCServerV1_1 implements FTCServerVersionAdapter {

  FileServer server = null;

  public FTCServerV1_1(ServerConfig config) throws IOException {
    FTCBenchServerOwner owner = new FTCBenchServerOwner(config);
    server = new FileServer(owner);
  }

  @Override
  public void createFileChannelInfo(Object o, byte[] fileId, byte[] accessKey,
    boolean useTransferTo) throws Exception {
    server.createFileChannelInfo(o, fileId, accessKey, useTransferTo);
  }

  @Override
  public void dispatch() {
    server.dispatch();
  }

  @Override
  public void stop() {
    server.stop();
  }

}
